FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Debian > Debian Development

 
 
LinkBack Thread Tools
 
Old 03-07-2009, 06:16 PM
Adeodato Simó
 
Default libphysfs 1.0.1

* Barry deFreese [Wed, 04 Mar 2009 13:13:40 -0500]:

Hello,

>>>> Second, and more importantly, I actually see no reason for the SONAME
>>>> bump! Meaning, that as far as I can see, the list of symbols between
>>>> libphysfs-1.0.so.1 and libphysfs-1.0.so.0 is identical. Do you know if
>>>> there has been some other ABI change that does not entail symbols, and
>>>> which would make the bump needed? If not, we'll need to talk about
>>>> reverting it. It'd be great if you could check.

>>> I don't think there is. What I think actually happened was that the
>>> previous version actually had the wrong package name. Does it really
>>> require a reversion? 1.1.1 may suffer from the same issues. (Meaning
>>> it has another soname change upstream but I think the symbols are
>>> identical, but I need to verify that.).

>> Well it appears that I was wrong about part of it. 1.0.0 isn't
>> complaining about the package name, even though I think it probably
>> should. 1.0.1 Does seem to be ABI compatible and is NOT a soname
>> bump. I'm attaching objdump -T output from 1.0.0 and 1.0.1 just in
>> case I missed something.

>> 1.1.1 does appear to have some significant changes so that might be a
>> bigger issue but I think I goofed on the 1.0.1 upload and there should
>> be no issues.

> Sorry I should have clarified. libphysfs-1.0.0 SONAME is
> libphysfs-1.0.so.0 and libphysfs-1.0.1 is libphysfs-1.0.so.1. (Thanks to
> Julien for pointing that out).

I've taken a look at the source. I think the 1.0.1 release gets the
-version-info value for libtool wrong. AIUI, the attached patch should
suffice if applied to 1.0.1. Meaning, it'll make 1.0.1 maintain the
same SONAME as 1.0.0. It even is consistent with the instructions given
in the configure.in file (http://paste.pocoo.org/show/106868/), but I
think this upstream could use some education regarding these matters,
and that the instructinons don't make much sense anyway.

As a start, I think they should stop passing -release MAJOR.MINOR to
libtool, and then use LT_CURRENT, LT_REVISION and LT_AGE appropriately
(as explained in [1]). If anybody feels like fighting that battle,
please do so.

If somebody could work with Barry to see if the SONAME given by upstream
for 1.1.1 is appropriate, that'd be great too. Barry, a good start would
be the output of `nm -D` and `objdump -p` for the 1.1.1 library, plus
the configure.in file.

In the meantime, Barry, please upload 1.0.1-3 with the attached patch at
your earliest convenience.

Cheers,

[1]: http://www.gnu.org/software/libtool/manual/html_node/Updating-version-info.html

--
Adeodato Simó dato at net.com.org.es
Debian Developer adeodato at debian.org

Listening to: Radiohead - No Surprise


--
To UNSUBSCRIBE, email to debian-devel-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
 
Old 03-07-2009, 06:17 PM
Adeodato Simó
 
Default libphysfs 1.0.1

 

Thread Tools




All times are GMT. The time now is 12:00 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright ©2007 - 2008, www.linux-archive.org